// #ifndef VUE3
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false

 
// 全局分享
import share from "@/common/share.js"
Vue.mixin(share);

// jwt解析
import weappJwt from '@/common/weapp-jwt.js';
Vue.prototype.$jwt = weappJwt;
// requset请求
import {
	requestBase,
	requestApp,
	requestFile
} from '@/common/api.js';
Vue.prototype.$api = requestBase;
Vue.prototype.$app = requestApp;
Vue.prototype.$apifile = requestFile;
// 配置文件
import config from '@/config.js';

Vue.prototype.$config = config;

App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif